PETSc version 3.15.5
Fix/Edit manual page

# PetscContainerSetPointer

Sets the pointer value contained in the container.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscContainerSetPointer(PetscContainer obj,void *ptr)

Logically Collective on PetscContainer

### Input Parameters

| obj | - the object created with PetscContainerCreate()
| ptr | - the pointer value

### See Also

PetscContainerCreate(), PetscContainerDestroy(),
PetscContainerGetPointer()

### Level

advanced

### Location

src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages